Subject: Re: bug#18675: Bug#730593: emacs24: fails to set fullscreen frame parameter on gnome 3

From: Jan Djärv <[email-masked]>
Date: Sun, 19 Oct 2014 19:47:06 +0200

Hello.

I don't have Debiaon testing, but with Debian unstable and XFCE4, the Debian 
emacs package, the emacs 24.4 RC and emacs trunk all work with -fs and
(set-frame-parameter nil 'fullscreen 'fullboth).

	Jan D.

Den 2014-10-12 14:29, Pedro Ângelo skrev:
> On 10/10/14 10:04, martin rudalics wrote:
>>  > I can reproduce this with current Debian Gnome 3, while in XFCE, Emacs
>>  > does shift to full screen.
>>  >
>>  > Pedro Ângelo <[email-masked]> writes:
>>  >
>>  >> Package: emacs24
>>  >> Version: 24.3+1-2
>>  >> Severity: normal
>>  >>
>>  >> Dear Maintainer,
>>  >>
>>  >> On my .emacs I use the following command to set the emacs window to
>> fullscreen
>>  >> on startup:
>>  >>
>>  >>      (set-frame-parameter nil 'fullscreen 'fullboth)
>>
>> Does this line have any impact at all or is it ignored completely?
>
> I think it is ignored completely. Emacs starts in a window attached to the
> right side of the screen occupying the full screen height and a bit less than
> half of the screen width, which I believe is the default.
>
>  > What happens when you write
>>
>> (set-frame-parameter nil 'fullscreen 'maximized)
>>
>> instead?  Does anything change when you add
>>
>> (setq frame-resize-pixelwise t)
>>
>> to your .emacs?
>>
>> martin
>>
>
> These lines have no effect.
>
> Cheers,
> P.
>
>